import sys
import os
import subprocess
import argparse
from . import file as jsf
from . import run_all
from . import functions as func
from timeit import default_timer as timer

def match_model(NPmodel):
    NPmodeldir=jsf.proper_dir_path(NPmodel)
    inputfiledir=func.get_path('input')+"/"
    modeldir=func.get_path('models')+"/"

    inputfilelist=['new_input_L2.dat','new_input_L4.dat','new_input_0F.dat','new_input_2F_0S_3D.dat','new_input_2F_1S_2D.dat','new_input_2F_2S_1D.dat','new_input_2F_3S_0D.dat','new_input_4F_LLLL.dat','new_input_4F_LLRR_LRRL.dat','new_input_4F_LRLR.dat','new_input_4F_RRRR.dat']
    effmodeldir=['L2SM/','L4SM/','L6SM_0F/','L6SM_2F_0S_3D/','L6SM_2F_1S_2D/','L6SM_2F_2S_1D/','L6SM_2F_3S_0D/','L6SM_4F_LLLL/','L6SM_4F_LLRR_LRRL/','L6SM_4F_LRLR/','L6SM_4F_RRRR']
    #if os.path.isdir(modeldir+NPmodeldir):
    start = timer()
    if os.path.isdir(NPmodeldir):
        for ipart,partfile in enumerate(inputfilelist):
            run_all.run_all(inputfiledir+partfile,modeldir+effmodeldir[ipart])
            run_all.run_all(inputfiledir+partfile,NPmodeldir)
    end = timer()
    print ("time taken "+str(end-start)+" seconds ")
